<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Menu</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Menu";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Menu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/ui/menu/Menu.html" target="_top">Frames</a></li>
<li><a href="Menu.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.ui.menu</div>
<h2 title="Class Menu" class="title">Class Menu</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.ui.menu.Menu</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../ch/sebi/zuul/logic/ui/UiObj.html" title="interface in ch.sebi.zuul.logic.ui">UiObj</a>&lt;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Menu</span>
extends java.lang.Object
implements <a href="../../../../../../ch/sebi/zuul/logic/ui/UiObj.html" title="interface in ch.sebi.zuul.logic.ui">UiObj</a>&lt;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&gt;</pre>
<div class="block">a class which implements a basic menu</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#items">items</a></span></code>
<div class="block">a list of all items of the menu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#selectedItem">selectedItem</a></span></code>
<div class="block">The item which was selected</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#Menu--">Menu</a></span>()</code>
<div class="block">constructor<br/>

 Creates a new menu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#Menu-ch.sebi.zuul.logic.ui.menu.MenuItem...-">Menu</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>...&nbsp;items)</code>
<div class="block">constructor<br/>

 Creates a new menu and adds the given menu items to the Menu</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#Menu-java.lang.String...-">Menu</a></span>(java.lang.String...&nbsp;items)</code>
<div class="block">constructor<br/>

 Creates a new menu and adds the given strings as menu items.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#addMenu-ch.sebi.zuul.logic.ui.menu.MenuItem-">addMenu</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;item)</code>
<div class="block">Adds a menu item to the menu</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#addMenu-java.lang.String-">addMenu</a></span>(java.lang.String&nbsp;title)</code>
<div class="block">Adds a menu item to the menu.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#clear--">clear</a></span>()</code>
<div class="block">Clears the selected menu item and sets it to null</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#getItems--">getItems</a></span>()</code>
<div class="block">Returns all menu items of this menu in an array</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#getSelectedItem--">getSelectedItem</a></span>()</code>
<div class="block">Returns the menu item which was selected in the last <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-"><code>printAndWait(Game)</code></a>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-">printAndWait</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Prints the ui object and executes the logic of the ui object</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="items">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>items</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&gt; items</pre>
<div class="block">a list of all items of the menu</div>
</li>
</ul>
<a name="selectedItem">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>selectedItem</h4>
<pre>private&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a> selectedItem</pre>
<div class="block">The item which was selected</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Menu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Menu</h4>
<pre>public&nbsp;Menu()</pre>
<div class="block">constructor<br/>

 Creates a new menu</div>
</li>
</ul>
<a name="Menu-ch.sebi.zuul.logic.ui.menu.MenuItem...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Menu</h4>
<pre>public&nbsp;Menu(<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>...&nbsp;items)</pre>
<div class="block">constructor<br/>

 Creates a new menu and adds the given menu items to the Menu</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>items</code> - the items which are added</dd>
</dl>
</li>
</ul>
<a name="Menu-java.lang.String...-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Menu</h4>
<pre>public&nbsp;Menu(java.lang.String...&nbsp;items)</pre>
<div class="block">constructor<br/>

 Creates a new menu and adds the given strings as menu items.
 The string is the title of the menu item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>items</code> - the titles of the menu items</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addMenu-ch.sebi.zuul.logic.ui.menu.MenuItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMenu</h4>
<pre>public&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;addMenu(<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;item)</pre>
<div class="block">Adds a menu item to the menu</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the menu item to add</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the menu item which was added</dd>
</dl>
</li>
</ul>
<a name="addMenu-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMenu</h4>
<pre>public&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;addMenu(java.lang.String&nbsp;title)</pre>
<div class="block">Adds a menu item to the menu.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - the title of the menu item</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the menu item which was added</dd>
</dl>
</li>
</ul>
<a name="getItems--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItems</h4>
<pre>public&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>[]&nbsp;getItems()</pre>
<div class="block">Returns all menu items of this menu in an array</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the menu items</dd>
</dl>
</li>
</ul>
<a name="printAndWait-ch.sebi.zuul.logic.Game-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printAndWait</h4>
<pre>public&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;printAndWait(<a href="../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../ch/sebi/zuul/logic/ui/UiObj.html#printAndWait-ch.sebi.zuul.logic.Game-">UiObj</a></code></span></div>
<div class="block">Prints the ui object and executes the logic of the ui object</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../ch/sebi/zuul/logic/ui/UiObj.html#printAndWait-ch.sebi.zuul.logic.Game-">printAndWait</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../ch/sebi/zuul/logic/ui/UiObj.html" title="interface in ch.sebi.zuul.logic.ui">UiObj</a>&lt;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>game</code> - the game instance</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns the result of the ui object or void/null if there is no result</dd>
</dl>
</li>
</ul>
<a name="getSelectedItem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectedItem</h4>
<pre>public&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a>&nbsp;getSelectedItem()</pre>
<div class="block">Returns the menu item which was selected in the last <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-"><code>printAndWait(Game)</code></a>.
 If either <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#clear--"><code>clear()</code></a> was called or <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html#printAndWait-ch.sebi.zuul.logic.Game-"><code>printAndWait(Game)</code></a> wasn't called yet then this function
 returns null</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the menu item or null if it isn't set</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<div class="block">Clears the selected menu item and sets it to null</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Menu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/ui/menu/Menu.html" target="_top">Frames</a></li>
<li><a href="Menu.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
